{include file='modules/servers/puqBusinessVPN/templates/header.tpl'}

<h5>{$vpn->lang['Network configuration']}</h5>
<div class="row">
    <div class="col-md-12">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
            <tr>
                <td class="text-left"><b><i class="fa fa-server"></i>&nbsp;&nbsp;{$vpn->lang['VPN server']}:</b></td>
                <td>{$vpn->server_hostname}</td>
            </tr>
            <tr>
                <td class="text-left"><b><i class="fa fa-address-book"></i>&nbsp;&nbsp;{$vpn->lang['Dedicated IP']}:</b></td>
                <td>{$vpn->service_dedicatedip}</td>
            </tr>
            <tr>
                <td class="text-left"><b><i class="fa fa-network-wired"></i>&nbsp;&nbsp;{$vpn->lang['Private internal network']}:</b></td>
                <td>{$vpn->service_private_ip}/{$vpn->service_private_ip_network}</td>
            </tr>
            <tr>
                <td class="text-left"><i class="fa fa-passport"></i>&nbsp;&nbsp;<b>{$vpn->lang['VPN Protocols']}:</b></td>
                <td>
                    {if $vpn->package_options_pptp eq 'on'}
                        <b>PPtP</b><br>
                    {/if}
                    {if $vpn->package_options_l2tp eq 'on'}
                        <b>L2TP</b><br>
                    {/if}
                </td>
            </tr>

            {if $vpn->package_options_l2tp eq 'on'}
                <tr>
                    <td class="text-left"><i class="fa fa-key"></i>&nbsp;&nbsp;<b>{$vpn->lang['L2TP IPSec PSK key']}:</b></td>
                    <td style="word-wrap:break-word;">{$vpn->package_options_l2tp_psk_key}</td>
                </tr>
            {/if}
            <tr>
                <td class="text-left"><i class="fa fa-list-ol"></i>&nbsp;&nbsp;<b>{$vpn->lang['Number of VPN accounts']}:</b></td>
                <td>{$vpn->service_secrets_used}/{$vpn->package_options_number_VPN_users}</td>
            </tr>
            <tr>
                <td class="text-left"><i class="fa fa-download"></i><i class="fa fa-upload"></i>&nbsp;&nbsp;<b>{$vpn->lang['Bandwidtht download/upload']}:</b></td>
                <td>{$vpn->package_options_bandwidth_download}/{$vpn->package_options_bandwidth_upload} M {$vpn->lang['per account']}</td>
            </tr>
        </table>
    </div>
</div>

<div class="form-group text-center">
    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=add_vpn_account" class="btn btn-success"><i class="fa fa-user-plus">&nbsp;&nbsp;</i>{$vpn->lang['Add VPN account']}</a>
    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding" class="btn btn-success"><i class="fa fa-forward">&nbsp;&nbsp;</i>{$vpn->lang['Port Forwarding']}</a>
    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=statistics" class="btn btn-success" class="btn btn-success"><i class="fa fa-chart-line">&nbsp;&nbsp;</i>{$vpn->lang['Statistics']}</a>
</div>

<table class="table table-list">
    <thead>
    <tr>
        <th><i class="fa fa-toggle-on"></i>&nbsp;&nbsp;<b>{$vpn->lang['Enabled']}</b></th>
        <th><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$vpn->lang['Username']}</b></th>
        <th><i class="fa fa-signal"></i>&nbsp;&nbsp;<b>{$vpn->lang['Online']}</b></th>
        <th><i class="fa fa-clock"></i>&nbsp;&nbsp;<b>{$vpn->lang['Uptime']}</b></th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    {foreach from=$vpn->service_secrets key=key item=value}
        <tr>
            {if $value['disabled'] eq 'false'}
                <td><div style="font-size:30px; color:green;">&#10004;</div></td>
            {else}
                <td><div style="font-size:30px; color:red;">&#10006;</div></td>
            {/if}
            <td {if $value['disabled'] eq 'true'} style="pointer-events: none; opacity: 0.4;"{/if}>{$value['name']}<br>
                ({$value['remote-address']})
            </td>
            {if $value['active']}
                <td><div style="font-size:30px; color:green;">&#10004;</div></td>
                <td>{$value['active']['uptime']}<br><b>{$value['active']['service']}</b></td>
                <td>
                    <a onclick="loading();" href="/clientarea.php?action=productdetails&id={$vpn->service_id}&reset_connection={$value['name']}" class="btn btn-default bg-color-gold btn-xs"><i class="fa fa-repeat">&nbsp;&nbsp;</i>{$vpn->lang['Reset connection']}</a>
                    <br>
                    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$value['name']}" class="btn btn-default bg-color-green btn-xs"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Edit']}</a>
                </td>
            {else}
                <td><div style="font-size:30px; color:red;">&#10006;</div></td>
                <td></td>
                <td>
                    <a href="clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$value['name']}" class="btn btn-default bg-color-green btn-xs"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Edit']}</a>
                </td>
            {/if}
        </tr>
    {/foreach}
    </tbody>
</table>
